
package com.osnova;



import android.graphics.*;
import java.util.Vector;






/**

 * ВЕКТОР ВЕЩЬ !
 * @author BIVERUS 11/02/21
 */


public class Spec extends Sprite{

 Vector v;
 Bitmap[] ii;
 
    
    
   
    
    
 public Spec(){
 
     super();
     v=new Vector();
 
 
 
 }   
    

 
 
 
 public void add(Bitmap i1){
 
 v.addElement(i1);
 
 
 
 
 }
 
 
 public void CreateArray(){
 
 ii=new Bitmap[v.size()];
 
 v.copyInto(ii);
 
 
 
 
 }
 
 
 
 @Override
 public void paint(Canvas g){
 
 
 g.drawBitmap(ii[F()], X(), Y(), null);
 
 
 
 }
 
 
 
 
 
 
 /////end class ////   
}
